=== debian/changelog ===
nova (2015.1.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2015 09:18:15 +0200
