=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le bouder <goneri@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bpython,
                     euca2ools,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel,
                     python-barbicanclient (>= 3.0.1),
                     python-boto,
                     python-cinderclient (>= 1:1.1.0),
                     python-coverage,
                     python-decorator,
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-glanceclient (>= 1:0.15.0),
                     python-greenlet,
                     python-hacking,
                     python-ironicclient (>= 0.2.1),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystonemiddleware (>= 1.5.0),
                     python-lxml,
                     python-memcache,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-mox3,
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 1:2.9.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.vmware (>= 0.11.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2,
                     python-pyasn1,
                     python-requests,
                     python-requests-mock (>= 0.6.0),
                     python-rfc3986,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-suds,
                     python-tempest-lib (>= 0.4.0),
                     python-testtools,
                     python-webob,
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify,
Build-Conflicts: python-cjson
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: openssh-client,
         openssl,
         python-babel,
         python-boto,
         python-cinderclient (>= 1:1.1.0),
         python-decorator,
         python-eventlet (>= 0.16.1),
         python-feedparser,
         python-glanceclient (>= 1:0.15.0),
         python-greenlet,
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystonemiddleware (>= 1.5.0),
         python-lxml,
         python-memcache,
         python-migrate (>= 0.9.5),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 1:2.9.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-paramiko,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.8),
         python-psutil,
         python-pyasn1,
         python-pycurl,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 1.1),
         python-rfc3986,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-tempita,
         python-webob,
         sudo,
         websockify,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-uml,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-uml
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         user-mode-linux,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using UserModeLinux.

Package: nova-compute-qemu
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         qemu,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-uml,
           nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
