## nova 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
SQLAlchemy<=0.9.99,>=0.9.7
boto>=2.32.1
decorator>=3.4.0
eventlet!=0.17.0,>=0.16.1
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware<1.6.0,>=1.5.0
lxml>=2.3
Routes!=2.0,>=1.12.3
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
netaddr>=0.7.12
paramiko>=1.13.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema<3.0.0,>=2.0.0
python-cinderclient<1.2.0,>=1.1.0
python-neutronclient<2.5.0,>=2.4.0
python-glanceclient<0.18.0,>=0.15.0
six>=1.9.0
stevedore<1.4.0,>=1.3.0 # Apache-2.0
websockify<0.7,>=0.6.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1
