=== debian/changelog ===
nova (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  * d/control: Bump oslo.concurrency to >= 1.8.2 (LP: #1518016).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 07:56:47 -0500

nova (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (68e9359) (LP: #1506058):
    - [68e9359] Fix quota update in init_instance on nova-compute restart
    - [d864603] Raise InstanceNotFound when save FK constraint fails
    - [db45b1e] Give instance default hostname if hostname is empty
    - [61f119e] Relax restrictions on server name
    - [2e731eb] Remove unnecessary 'context' param from quotas reserve method
                call
    - [5579928] Updated from global requirements
    - [08d1153] Don't expect meta attributes in object_compat that aren't in the
                db obj
    - [5c6f01f] VMware: pass network info to config drive.
    - [17b5052] Allow to use autodetection of volume device path
    - [5642b17] Delete orphaned instance files from compute nodes
    - [8110cdc] Updated from global requirements
    - [1f5b385] Hyper-V: Fixes serial port issue on Windows Threshold
    - [24251df] Handle FC LUN IDs greater 255 correctly on s390x architectures
    - [dcde7e7] Update obj_reset_changes signatures to match
    - [e16fcfa] Unshelving volume backed instance fails
    - [8fccffd] Make pagination tolerate a deleted marker
    - [587092c] Fix live-migrations usage of the wrong connector information
    - [8794b93] Don't check flavor disk size when booting from volume
    - [c1ad497] Updated from global requirements
    - [0b37312] Hyper-V: Removes old instance dirs after live migration
    - [2d571b1] Hyper-V: Fixes live migration configdrive copy operation
    - [07506f5] Hyper-V: Fix SMBFS volume attach race condition
    - [60356bf] Hyper-V: Fix missing WMI namespace issue on Windows 2008 R2
    - [83fb8cc] Hyper-V: Fix virtual hard disk detach
    - [6c857c2] Updated from global requirements
    - [0313351] Compute: replace incorrect instance object with dict
    - [9724d50] Don't pass the service catalog when making glance requests
    - [b5020a0] libvirt: Kill rsync/scp processes before deleting instance
    - [3f337f8] Support host type specific block volume attachment
    - [cb2a8fb] Fix serializer supported version reporting in object_backport
    - [701c889] Execute _poll_shelved_instances only if shelved_offload_time is
                > 0
    - [eb3b1c8] Fix rebuild of an instance with a volume attached
    - [e459add] Handle unexpected clear events call
    - [8280575] Support ssh-keygen of OpenSSH 6.8
    - [9a51140] Kilo-Removing extension "OS-EXT-VIF-NET" from v2.1 ext list
    - [b3f7b77] Fix wrong check when use image in local
    - [b13726b] Fix race between resource audit and cpu pinning
   * debian/patches/not-check-disk-size.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 09:12:32 -0400

nova (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

  [ Liang Chen ]
  * d/p/not-check-disk-size.patch: Fix booting from volume error
    when flavor disk too small (LP: #1457517)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Aug 2015 15:13:43 -0400

nova (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (d8a470d) (LP: #1481008):
    - [e6e39e1] Remove incorrect Instance 1.18 relationship for PciDevice 1.2
    - [a55ea8c] Fix the incorrect PciDeviceList version number
    - [e56aed8] Add support for forcing migrate_flavor_data
    - [ccd002b] Fix migrate_flavor_data string substitution
    - [124b501] Allow libvirt cleanup completion when serial ports already released
    - [4908d46] Fixed incorrect dhcp_server value during nova-network creation
    - [0cf44ff] Fixed nova-network dhcp-hostsfile update during live-migration
    - [dc6af6b] libvirt: handle code=38 + sigkill (ebusy) in destroy()
    - [6e22a8b] hypervisor support matrix: add kvm on system z in kilo release
    - [e013ebf] Fix max_number for migrate_flavor data
    - [2b5fe5d] Reduce window for allocate_fixed_ip / release_fixed_ip race in nova-net
    - [cd6353a] Mark ironic credential config as secret
    - [48a6217] Ensure to store context in thread local after spawn/spawn_n
    - [fc7f1ab] Store context in local store after spawn_n
    - [199f0ab] Fixes TypeError when libvirt version is BAD_LIBVIRT_CPU_POLICY_VERSIONS
    - [1f4088d] Add 'docker' to the list of known hypervisor types
    - [30fe27d] Fix noVNC console access for an IPv6 setup
    - [41ba203] libvirt: Don't try to confine a non-NUMA instance
    - [2635ee0] Fix quota-update stuck in deleting when nova-compute startup finish
    - [540221f] Remove useless volume when boot from volume failed
    - [4bb1e08] network: fix instance cache refresh for empty list
    - [22adc62] Make nova-manage handle completely missing flavor information
    - [c66c8e1] libvirt: safe_decode xml for i18n logging
    - [c42b47e] Reschedules sometimes do not allocate networks
    - [72f7e30] Hyper-V: Fixes cold migration / resize issue
    - [a0f093a] Create instance_extra entry if it doesn't update
    - [6463b38] Don't wait for an event on a resize-revert
    - [d55ee5a] Ironic: pass injected files through to configdrive
    - [e7519b4] Associate floating IPs with first v4 fixed IP if none specified
    - [d18058e] libvirt: handle NotSupportedError in compareCPU
    - [1a6053b] fix network setup on evacuate
    - [aaaf7ce] Delete shelved_* keys in n-cpu unshelve call
    - [82f83d4] Correct the help text for the compute option.
    - [8ba0159] Fix loading things in instance_extra for old instances
    - [709f0bb] Delay STOPPED lifecycle event for all domains, not just Xen
    - [1b941f1] Handle return code 2 from blkid calls
    - [8e9ecf7] Libvirt: Use tpool to invoke guestfs api
    - [7ae9466] Incorrect argument order passed to swap_volume

