## nova 2015.1.4

=== debian/changelog ===
nova (1:2015.1.4-0ubuntu2) trusty-kilo; urgency=medium

  * d/p/fix-iscsi-detach.patch (LP: #1374999)
    - Clear latest path for last remaining iscsi disk to ensure
      disk is properly removed.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 04 Apr 2016 14:28:40 -0700

nova (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/skip-proxy-test.patch: Skip test_ssl_server and test_two_servers as
    they are hitting ProxyError during package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 May 2016 09:54:59 -0400

nova (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 19:57:18 +0000
