## nova powervm-1.0.0

=== requirements.txt ===
pbr>=0.11,<2.0
Babel>=1.3
six>=1.9.0
oslo.config>=1.11.0  # Apache-2.0
oslo.log>=1.2.0  # Apache-2.0
oslo.serialization>=1.4.0               # Apache-2.0
oslo.utils>=1.6.0                       # Apache-2.0
taskflow>=0.11.0
