## nova powervm-3.0.0.0b1

=== requirements.txt ===
amqp>=1.4.0,<2.0 # LGPL
pbr>=1.6
Babel>=1.3
netifaces>=0.10.4 # MIT
six>=1.9.0
oslo.config>=3.7.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.5.0                       # Apache-2.0
taskflow>=1.26.0  # Apache-2.0
setuptools>=16.0
