## nova powervm-4.0.0.0b2

=== requirements.txt ===
amqp>=1.4.0,<2.0 # LGPL
pbr>=1.6
Babel>=2.3.4  # BSD
six>=1.9.0
oslo.config>=3.10.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.11.0                       # Apache-2.0
pypowervm
taskflow>=1.26.0  # Apache-2.0
setuptools>=16.0
