## nova powervm-4.0.0.0b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp<2.0,>=1.4.0 # LGPL
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pypowervm
taskflow>=2.7.0 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
