## nova powervm-5.0.0.0b2

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 oslo.log>=3.22.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.20.0 # Apache-2.0
-pypowervm>=1.1.1 # Apache-2.0
+pypowervm>=1.1.4 # Apache-2.0
 taskflow>=2.7.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,>=16.0 # PSF/ZPL
