## nova powervm-6.0.0.0b3

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
 oslo.config>=5.1.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=3.31.0 # Apache-2.0
-pypowervm>=1.1.9 # Apache-2.0
-taskflow>=2.7.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
+pypowervm>=1.1.10 # Apache-2.0
+taskflow>=2.16.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
