## nova powervm-7.0.0.0b2

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-pypowervm>=1.1.13 # Apache-2.0
+pypowervm>=1.1.15 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
